org.eclipse.net4j.util.container

## Class ContainerEventAdapter<E>

- java.lang.Object
- - org.eclipse.net4j.util.container.ContainerEventAdapter<E>

- All Implemented Interfaces:
    EventListener, IListener

      public class ContainerEventAdapter<E>
      extends Object
      implements IListener

  A `listener` that dispatches container `events` to methods that can be overridden by extenders.
  Author:
    Eike Stepper
  Apiviz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerEventAdapter()`
    `ContainerEventAdapter(boolean waitForActive)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isWaitForActive()`
    `protected void` | `notifyContainerEvent(IContainerEvent<E> event)`
    `void` | `notifyEvent(IEvent event)`
    `protected void` | `notifyOtherEvent(IEvent event)`
    `protected void` | `onAdded(IContainer<E> container, E element)`
    `protected void` | `onRemoved(IContainer<E> container, E element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerEventAdapter

          public ContainerEventAdapter(boolean waitForActive)

      Since:
        3.3

    - #### ContainerEventAdapter

          public ContainerEventAdapter()

  - ### Method Detail

    - #### isWaitForActive

          public boolean isWaitForActive()

      Since:
        3.3

    - #### notifyEvent

          public final void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### notifyContainerEvent

          protected void notifyContainerEvent(IContainerEvent<E> event)

    - #### notifyOtherEvent

          protected void notifyOtherEvent(IEvent event)

    - #### onAdded

          protected void onAdded(IContainer<E> container,
                                 E element)

    - #### onRemoved

          protected void onRemoved(IContainer<E> container,
                                   E element)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html